package com.rongwei.safecommon.fegin;

import com.rongwei.rwcommon.base.R;
import com.rongwei.rwcommon.vo.CriteriaQuery;
import com.rongwei.rwcommon.vo.generalsql.BatchSaveVo;
import com.rongwei.rwcommonentity.commonservers.vo.SysSerialVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * Hysitx class
 *
 * @author XH
 * @date 2023/05/30
 */
@Component
public class CXAdminFeginClientError implements CXAdminFeginClient {
    private final Logger log = LoggerFactory.getLogger(this.getClass().getName());

    @Override
    public R getDataBySql(CriteriaQuery query) {
        log.error("执行自定义sql失败：{}", query);
        return R.error();
    }

    @Override
    public R batchSaveList(BatchSaveVo batchSaveVo) {
        log.error("批量保存失败：{}", batchSaveVo);
        return R.error();
    }

    @Override
    public R getSerialNumberCode(SysSerialVo sysSerialVo) {
        log.error("生成流水码失败：{}",sysSerialVo);
        return R.error();
    }


}
